Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QEventLoop.ProcessEventsFlag

    java.lang.Object
      java.lang.Enum<QEventLoop.ProcessEventsFlag>
          com.trolltech.qt.core.QEventLoop.ProcessEventsFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QEventLoop.ProcessEventsFlag>

Enclosing class:
  QEventLoop

    public static enum QEventLoop.ProcessEventsFlag

extends java.lang.Enum<QEventLoop.ProcessEventsFlag>
implements QtEnumerator

This enum controls the types of events processed by the `processEvents` functions.

See Also:
  `processEvents`

Enum Constant Summary
`AllEvents` All events except DeferredDelete are processed.
`DeferredDeletion` Allow objects to be queued for deletion at a later time.
`ExcludeSocketNotifiers` Do not process socket notifier events.
`ExcludeUserInputEvents` Do not process user input events, such as ButtonPress and KeyPress.
`WaitForMoreEvents` Wait for events if no pending events are available.
`X11ExcludeTimers` Internal.

Method Summary
`static QEventLoop.ProcessEventsFlags` | `createQFlags(QEventLoop.ProcessEventsFlag... values)`
`static QEventLoop.ProcessEventsFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QEventLoop.ProcessEventsFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QEventLoop.ProcessEventsFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AllEvents

    public static final QEventLoop.ProcessEventsFlag AllEvents

  All events except DeferredDelete are processed.

### ExcludeUserInputEvents

    public static final QEventLoop.ProcessEventsFlag ExcludeUserInputEvents

  Do not process user input events, such as ButtonPress and KeyPress. Note that the events are not discarded; they will be delivered the next time `processEvents` is called without the `ExcludeUserInputEvents` flag.

### ExcludeSocketNotifiers

    public static final QEventLoop.ProcessEventsFlag ExcludeSocketNotifiers

  Do not process socket notifier events. Note that the events are not discarded; they will be delivered the next time `processEvents` is called without the `ExcludeSocketNotifiers` flag.

### WaitForMoreEvents

    public static final QEventLoop.ProcessEventsFlag WaitForMoreEvents

  Wait for events if no pending events are available.

### X11ExcludeTimers

    public static final QEventLoop.ProcessEventsFlag X11ExcludeTimers

  Internal.

### DeferredDeletion

    public static final QEventLoop.ProcessEventsFlag DeferredDeletion

  Allow objects to be queued for deletion at a later time.

Method Detail

### values

    public static final QEventLoop.ProcessEventsFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QEventLoop.ProcessEventsFlag c : QEventLoop.ProcessEventsFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QEventLoop.ProcessEventsFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QEventLoop.ProcessEventsFlags createQFlags(QEventLoop.ProcessEventsFlag... values)

### resolve

    public static QEventLoop.ProcessEventsFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD